<template>
    <ul class="notifications">
        <li>
            <a href="#" class="dropdown-toggle notification-icon" data-toggle="dropdown">
                <i class="fa fa-bell"></i>
                <span class="badge">{{ unreadNotifications.length }}</span>
            </a>

            <div class="dropdown-menu notification-menu">
                <div class="notification-title">
                    <span class="pull-right label label-default">{{ unreadNotifications.length }}</span> Alerts
                </div>

                <div class="content">
                    <ul>
                        <li v-for="notification in unreadNotifications" :key="notification.id">
                            <a :href="'/admin/record/all_order/show/' + notification.data.createdOrder.id" class="clearfix" @click="markAsRead(notification.id)">

                                <div class="image">
                                    <i class="fa fa-thumbs-down bg-danger"></i>
                                </div>
                                <span class="title">new</span>
                                <span class="message">{{ notification.data.createdOrder.created_at }}</span>
                            </a>
                        </li>

                    </ul>

                    <hr />

                    <div class="text-right">
                        <a href="#" class="view-more">View All</a>
                    </div>
                </div>
            </div>
        </li>
    </ul>
</template>

<script>
    export default {
        data: () => ({
            drawer: null,
            allNotifications: [],
            unreadNotifications: [],
        }),
        props: ["user"]
        ,

        watch:{
            // allNotifications(val){
            //     this.unreadNotifications =  this.allNotifications.filter(notification => {
            //         return notification.read_at == null;
            //     });
            // }
        },
        mounted() {
            Echo.private('App.User.' + this.user.id).notification((notification) => {
                    this.unreadNotifications.unshift(notification.notification);
            });
        },
        created(){
            // this.allNotifications = this.user.notifications;

            this.unreadNotifications =  this.user.notifications.filter(notification => {
                return notification.read_at == null;
            });

        },
        computed: {
        },
        methods: {
            markAsRead(notify_id) {
                axios.get("/mark-all-read/" + this.user.id+"/"+notify_id).then(response=>{
                    this.unreadNotifications = response.data.notifications;
                });
            }
        },
    }

</script>

<style>
    button{
        color: #fff;
        background:ccc;
    }

</style>
